အကြောင်းအရာသို့ ကျော်ရန်

Wan · v2.2 A14b · Text to Video · Turbo

ပေါင်းစည်းရန်

မော်ဒယ် id wan/v2.2-a14b/text-to-video/turbo
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/wan/v2.2-a14b/text-to-video/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်: ၀.၁၀ $ ၁၀၀ API ခရက်ဒစ် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
Alibaba စာသားမှ ဗီဒီယို မြန်ဆန်720p အထိ #text-to-video#motion

ပရောမ့်၊ ရုပ်ထွက်အရည်အသွေးနှင့် အချိုးတို့သာ ပါဝင်သည့် အနည်းဆုံးထိန်းချုပ်မှုများဖြင့် Turbo A14B text-to-video

Alibaba · ဗီဒီယို

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

ဗီဒီယိုဖန်တီးမှုကို လမ်းညွှန်သည့် စာသားညွှန်ကြားချက်များ။

resolution မူလ 720p

ထွက်ရလဒ်ဗီဒီယို ရုပ်ထွက်အရည်အသွေး: 480p၊ 580p သို့မဟုတ် 720p။

aspect_ratio မူလ 16:9

ထွက်ရလဒ်ဗီဒီယို၏ aspect ratio၊ 16:9 သို့မဟုတ် 9:16 ဖြစ်နိုင်သည်။

အဆင့်မြင့် acceleration · video_quality · video_write_mode · seed · enable_safety_checker · enable_output_safety_checker · enable_prompt_expansion
acceleration မူလ regular

အရှိန်မြှင့်မှုသတ်မှတ်ချက်ဖြစ်ပြီး 'regular' ကို အကြံပြုထားသည်။ အရှိန်မြှင့်မှုကို တိုးမြှင့်ပါက အရည်အသွေးကို စွန့်လွှတ်ပြီး ဖန်တီးချိန်ကို တိုစေသည်။

video_quality မူလ high

သတ်မှတ်ချက်မြင့်လာသည်နှင့် ဖိုင်ပိုကြီးလာသော်လည်း မြင်ကွင်းအရည်အသွေး ပိုကောင်းလာစေသော ထွက်ရလဒ်ဗီဒီယိုအရည်အသွေး သတ်မှတ်ချက်။

video_write_mode မူလ balanced

ဗီဒီယိုရေးသားမှုမုဒ်ဖြစ်ပြီး balanced သည် အမြန်နှုန်းနှင့် အရည်အသွေးအကြား အလယ်အလတ်ဖြစ်သည်။ အသေးဆုံးဖိုင်နှင့် အနှေးဆုံးရေးသားမှုအတွက် small ကို ရွေးချယ်ပါ။ ပိုမြန်သောရေးသားမှုသည် ရလဒ်ကို စောစွာပြန်ပေးသော်လည်း ဖိုင်ပိုကြီးစေသည်။

ဖန်တီးမှုကို ထပ်တူပြန်လည်ပြုလုပ်နိုင်စေသည့် seed။ None သတ်မှတ်ပါက seed ကို ကျပန်းရွေးချယ်သည်။

POST /run/wan/v2.2-a14b/text-to-video/turbo?wait=20 ကုန်ကျစရိတ် → ၀.၁၀ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/wan/v2.2-a14b/text-to-video/turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Wan · v2.2 A14b · Text to Video · Turbo အကြောင်း

`prompt`၊ 480p၊ 580p သို့မဟုတ် 720p `resolution` နှင့် 16:9၊ 9:16 သို့မဟုတ် 1:1 `aspect_ratio` ကို လက်ခံသော ရိုးရှင်းထားသည့် စာသားမှဗီဒီယို Endpoint ဖြစ်သည်။ ဖရိမ်အရေအတွက်၊ လမ်းညွှန်မှုနှင့် အဆင့်ဆိုင်ရာ ဆက်တင်များကို မဖော်ပြထားပါ။ `seed`၊ `acceleration`၊ ဗီဒီယိုအရည်အသွေးနှင့် ရေးသားမှုမုဒ်ကို သတ်မှတ်နိုင်ပြီး ပရောမ့်ချဲ့ထွင်မှုကို ဖွင့်နိုင်သည်။

ပါရာမီတာများ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
ဗီဒီယိုဖန်တီးမှုကို လမ်းညွှန်သည့် စာသားညွှန်ကြားချက်များ။
seedရွေးချယ်နိုင်သည်
အမျိုးအစားinteger | null
ဖန်တီးမှုကို ထပ်တူပြန်လည်ပြုလုပ်နိုင်စေသည့် seed။ None သတ်မှတ်ပါက seed ကို ကျပန်းရွေးချယ်သည်။
resolutionရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုး720p
480p580p720p
ထွက်ရလဒ်ဗီဒီယို ရုပ်ထွက်အရည်အသွေး: 480p၊ 580p သို့မဟုတ် 720p။
aspect_ratioရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုး16:9
16:99:161:1
ထွက်ရလဒ်ဗီဒီယို၏ aspect ratio၊ 16:9 သို့မဟုတ် 9:16 ဖြစ်နိုင်သည်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
လုပ်ဆောင်မီ ထည့်သွင်းချက်ဘေးကင်းရေးစစ်ဆေးမှုဖြစ်ပြီး ခွင့်ပြုချက်ရှိသော အကောင့်များသာ ပိတ်နိုင်သည်။ ခွင့်ပြုချက်မရှိသော တောင်းဆိုချက်များကို အမြဲစစ်ဆေးပြီး အခြားအခြေအနေတွင် true သည် စစ်ဆေးမှုကို ဖွင့်ပေးသည်။
enable_output_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
ဖန်တီးထားသောဗီဒီယို၏ ဘေးကင်းရေးစစ်ဆေးမှုကို ထိန်းချုပ်သည်။ true သတ်မှတ်ပါက ဖန်တီးပြီးနောက် စစ်ဆေးမှုကို ဖွင့်ပေးသည်။
enable_prompt_expansionရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
ပရောမ့်ကို အသေးစိတ်များဖြင့် ဖြည့်စွက်ရန် large language မော်ဒယ်ကို ခွင့်ပြုသည်။ ဤချဲ့ထွင်မှုကို ဖွင့်ထားသော်လည်း ပရောမ့်၏ အဓိပ္ပာယ် မပြောင်းလဲပါ။
accelerationရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးregular
noneregular
အရှိန်မြှင့်မှုသတ်မှတ်ချက်ဖြစ်ပြီး 'regular' ကို အကြံပြုထားသည်။ အရှိန်မြှင့်မှုကို တိုးမြှင့်ပါက အရည်အသွေးကို စွန့်လွှတ်ပြီး ဖန်တီးချိန်ကို တိုစေသည်။
video_qualityရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးhigh
lowmediumhighmaximum
သတ်မှတ်ချက်မြင့်လာသည်နှင့် ဖိုင်ပိုကြီးလာသော်လည်း မြင်ကွင်းအရည်အသွေး ပိုကောင်းလာစေသော ထွက်ရလဒ်ဗီဒီယိုအရည်အသွေး သတ်မှတ်ချက်။
video_write_modeရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးbalanced
fastbalancedsmall
ဗီဒီယိုရေးသားမှုမုဒ်ဖြစ်ပြီး balanced သည် အမြန်နှုန်းနှင့် အရည်အသွေးအကြား အလယ်အလတ်ဖြစ်သည်။ အသေးဆုံးဖိုင်နှင့် အနှေးဆုံးရေးသားမှုအတွက် small ကို ရွေးချယ်ပါ။ ပိုမြန်သောရေးသားမှုသည် ရလဒ်ကို စောစွာပြန်ပေးသော်လည်း ဖိုင်ပိုကြီးစေသည်။
လိုအပ်သည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "wan/v2.2-a14b/text-to-video/turbo",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "prompt": "A medium shot establishes a modern, minimalist office setting: clean lines, muted grey walls, and polished wood surfaces. The focus shifts to a close-up on a woman in sharp, navy blue business attire. Her crisp white blouse contrasts with the deep blue of her tailored suit jacket. The subtle texture of the fabric is visible—a fine weave with a slight sheen. Her expression is serious, yet engaging, as she speaks to someone unseen just beyond the frame. Close-up on her eyes, showing the intensity of her gaze and the fine lines around them that hint at experience and focus. Her lips are slightly parted, as if mid-sentence. The light catches the subtle highlights in her auburn hair, meticulously styled. Note the slight catch of light on the silver band of her watch. High resolution 4k",
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video
object {url, content_type, file_name, file_size}ဖန်တီးမှုမှ ထွက်ရှိသည့် ဗီဒီယိုဖိုင်။
prompt
stringဗီဒီယိုဖန်တီးရန် အသုံးပြုသည့် စာသားပရောမ့်။
seed
integerဖန်တီးမှုအတွင်း အသုံးပြုသည့် seed တန်ဖိုး။

နောက်ထပ် မော်ဒယ်များ: စာသားမှ ဗီဒီယို

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/wan/v2.2-a14b/text-to-video/turbo.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt